## com.sun.jersey.core.header
Class FormDataContentDisposition

    java.lang.Object
      com.sun.jersey.core.header.ContentDisposition
          com.sun.jersey.core.header.FormDataContentDisposition

    public class FormDataContentDisposition

extends ContentDisposition

A form-data content disposition header.

Author:
  Paul.Sandoz@Sun.Com, imran@smartitengineering.com

Nested Class Summary
`static class` | `FormDataContentDisposition.FormDataContentDispositionBuilder` Builder to build form data content disposition.

Nested classes/interfaces inherited from class com.sun.jersey.core.header.ContentDisposition
`ContentDisposition.ContentDispositionBuilder<T extends ContentDisposition.ContentDispositionBuilder<T,V>,V extends ContentDisposition>`

Constructor Summary
`` | `FormDataContentDisposition(HttpHeaderReader reader)`
`` | `FormDataContentDisposition(HttpHeaderReader reader, boolean fileNameFix)`
`` | `FormDataContentDisposition(java.lang.String header)`
`` | `FormDataContentDisposition(java.lang.String header, boolean fileNameFix)`
`protected` | `FormDataContentDisposition(java.lang.String type, java.lang.String name, java.lang.String fileName, java.util.Date creationDate, java.util.Date modificationDate, java.util.Date readDate, long size)` Constructor for the builder.

Method Summary
`java.lang.String` | `getName()` Get the name parameter.
`static FormDataContentDisposition.FormDataContentDispositionBuilder` | `name(java.lang.String name)` Start building a form data content disposition.
`protected java.lang.StringBuilder` | `toStringBuffer()`

Methods inherited from class com.sun.jersey.core.header.ContentDisposition
`addDateParameter, addLongParameter, addStringParameter, getCreationDate, getFileName, getModificationDate, getParameters, getReadDate, getSize, getType, toString, type`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormDataContentDisposition

    protected FormDataContentDisposition(java.lang.String type,
                                         java.lang.String name,
                                         java.lang.String fileName,
                                         java.util.Date creationDate,
                                         java.util.Date modificationDate,
                                         java.util.Date readDate,
                                         long size)

  Constructor for the builder.

  Parameters:
    `type` - the disposition type. will be "form-data".
    `name` - the control name.
    `fileName` - the file name.
    `creationDate` - the creation date.
    `modificationDate` - the modification date.
    `readDate` - the read date.
    `size` - the size.
  Throws:
    `java.lang.IllegalArgumentException` - if the type is not equal to "form-data" or the name is `null`

### FormDataContentDisposition

    public FormDataContentDisposition(java.lang.String header)
                               throws java.text.ParseException

Throws:
  `java.text.ParseException`

### FormDataContentDisposition

    public FormDataContentDisposition(java.lang.String header,
                                      boolean fileNameFix)
                               throws java.text.ParseException

Throws:
  `java.text.ParseException`

### FormDataContentDisposition

    public FormDataContentDisposition(HttpHeaderReader reader)
                               throws java.text.ParseException

Throws:
  `java.text.ParseException`

### FormDataContentDisposition

    public FormDataContentDisposition(HttpHeaderReader reader,
                                      boolean fileNameFix)
                               throws java.text.ParseException

Throws:
  `java.text.ParseException`

Method Detail

### getName

    public java.lang.String getName()

  Get the name parameter.

  Returns:
    the name

### toStringBuffer

    protected java.lang.StringBuilder toStringBuffer()

  Overrides:
    `toStringBuffer` in class `ContentDisposition`

### name

    public static FormDataContentDisposition.FormDataContentDispositionBuilder name(java.lang.String name)

  Start building a form data content disposition.

  Parameters:
    `name` - the control name.
  Returns:
    the form data content disposition builder.

Copyright © 2017 Oracle Corporation. All Rights Reserved.